#include <iostream>
using namespace std;

int main()
{
    int n, l;
    cin>>n>>l;
    bool udario_sa_glavu = false;
    int rez = -1;
    for(int i=1;i<=n;i++)
    {
        int a; cin>>a;
        if(a <= l && !udario_sa_glavu)
        {
            udario_sa_glavu = true;
            rez = i;
        }
    }
    cout<<rez;
    return 0;
}